batchee-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ioan Eugen Stan <stan.ieu...@gmail.com>
Subject Re: Java7?
Date Wed, 21 Mar 2018 12:50:39 GMT

On 21.03.2018 14:44, Mark Struberg wrote:
> Hi Ioan!
>  
> Also an option. But there are still servers with Java7 around.And we still need to support
it for TomEE7.
In that case Java 7 baseline is good and then go directly to 9 with
modules and skip 8. Wdyt?
This should make things easier to maintain - older version and a new
one, module based.

> We might add Java8 soon but then we'd also revisit the whole API I guess.
> We could probably drive this for an upcoming JBatch-1.1 specification.
> Anyway, thanks for your feedback, always welcome!
>
> LieGrue,strub
>     On Wednesday, 21 March 2018, 13:37:14 CET, Ioan Eugen Stan <stan.ieugen@gmail.com>
wrote:  
>  
>  Hi,
>
> I'm a bit more progresist and move to Java 8 as baseline.
>
> https://plumbr.io/blog/java/java-version-and-vendor-data-analyzed-2017-edition
>
> http://www.baeldung.com/java-in-2017
>
>
> On 21.03.2018 14:32, Mark Struberg wrote:
>> Hi folks!
>> I just figured that BatchEE is still baseline 1.6. 
>> Do we want to raise this to at least Java7? ^^
>> Reason is that I want to use the AutoCloseable interface for proper shutdown of the
JobOperator.
>> Any thoughts? 
>> Going for TLP and batchee-1.0?well new thread ;)
>> LieGrue,strub
>>
>   


Mime
View raw message